# pion::process::config_type Struct Reference

data type for static/global process configuration information More...

`#include <process.hpp>`

List of all members.

## Public Member Functions

| config_type ()
| constructor just initializes native types

## Public Attributes

bool | shutdown_now
| true if we should shutdown now
boost::condition | shutdown_cond
| triggered when it is time to shutdown
boost::mutex | shutdown_mutex
| used to protect the shutdown condition

## Detailed Description

data type for static/global process configuration information

Definition at line 53 of file process.hpp.

The documentation for this struct was generated from the following file:

- include/pion/process.hpp